Subject: Re: [AVT] RE: <draft-ietf-avt-rtp-vmr-wb-03.txt>: sampling rate
From: Colin Perkins <[email-masked]>
To: Qiaobing Xie <[email-masked]>
Cc: Magnus Westerlund <[email-masked]>, [email-masked], [email-masked]
Date: Sat, 11 Sep 2004 12:08:06 +0100
List-Id: Audio/Video Transport Working Group <avt.ietf.org>

On 9 Sep 2004, at 08:55, Qiaobing Xie wrote:

> Hello, Magnus,
>
> Magnus Westerlund wrote:
>
>> Hi Sassan,
>> Based on what you write in the previous mail. It seems that the only 
>> reason for using different RTP timestamp rate between 8000 and 16000 
>> Hz is to indicate the sampling rate of the source material. If the 
>> codec does not need any indication at all if the source material is 
>> 8k or 16k then, I think the usage of different RTP timestamp rates is 
>> creating unnecessary interoperability barriers. The barrier is that 
>> one actually needs to indicate the rate of the source material, and 
>> cope with RTP timestamp switching.
>
> Right on! You nailed the issue perfectly.
>
>> To avoid the unnecessary function I would propose that VMR-WB only 
>> defines 16kHz as RTP timestamp rate.
>
> Agreed. This would effectively remove the interoperability barrier you 
> pointed out above.
>
> My only concern is that this may create some interesting situations. 
> Let's consider an example - original speech of 8k rate is passed to 
> vmr-wb encoder and the decoder is set to output speech at 8k rate.
>
> Here, we would then have:
>
>  - source sampling rate = 8k
>  - actually sampling rate of the bit stream sent over RTP = 12.8k
>  - sampling rate output from vmr-wb = 8k
>  - RTP header timestamp rate = 16k!!!
>
> I am not sure this will cause any problem, but it seems strange.

Exactly! This is why the RTP timestamp rate is set to the sampling rate 
of the media stream for all audio payload formats.

Colin

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt